<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>＠his-view/template documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">＠his-view/template documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  AppComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#styleData" class="nav-link"
                role="tab" id="styleData-tab" data-bs-toggle="tab" data-link="style">Styles</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-root</code></td>
            </tr>

            <tr>
                <td class="col-md-3">Standalone</td>
                <td class="col-md-9"><code>true</code></td>
            </tr>

            <tr>
                <td class="col-md-3">imports</td>
                <td class="col-md-9">
                            <code>CommonModule</code>
                                <code><a href="../miscellaneous/variables.html#primeGroup" target="_self" >primeGroup</a></code>
                                <code><a href="../components/AppStoreListComponent.html" target="_self" >AppStoreListComponent</a></code>
                                <code><a href="../components/AppStoreDocumentComponent.html" target="_self" >AppStoreDocumentComponent</a></code>
                                <code><a href="../components/AppStoreEditorToolbarComponent.html" target="_self" >AppStoreEditorToolbarComponent</a></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#appStore" >appStore</a>
                            </li>
                            <li>
                                <a href="#appStores" >appStores</a>
                            </li>
                            <li>
                                <a href="#tabViewIndex" >tabViewIndex</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#onChangeTabViewIndex" >onChangeTabViewIndex</a>
                            </li>
                            <li>
                                <a href="#onListRowClick" >onListRowClick</a>
                            </li>
                            <li>
                                <a href="#onToolbarListClick" >onToolbarListClick</a>
                            </li>
                            <li>
                                <a href="#onToolbarNewItemClick" >onToolbarNewItemClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>






    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onChangeTabViewIndex"></a>
                    <span class="name">
                        <span ><b>onChangeTabViewIndex</b></span>
                        <a href="#onChangeTabViewIndex"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onChangeTabViewIndex(tabViewIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="29"
                            class="link-to-prism">src/app/app.component.ts:29</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>tabViewIndex</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>需要切換的頁籤</p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onListRowClick"></a>
                    <span class="name">
                        <span ><b>onListRowClick</b></span>
                        <a href="#onListRowClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onListRowClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="38"
                            class="link-to-prism">src/app/app.component.ts:38</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>監聽app-store-editor-list的點擊事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onToolbarListClick"></a>
                    <span class="name">
                        <span ><b>onToolbarListClick</b></span>
                        <a href="#onToolbarListClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onToolbarListClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="47"
                            class="link-to-prism">src/app/app.component.ts:47</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>監聽toolbar的清單鈕點擊事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onToolbarNewItemClick"></a>
                    <span class="name">
                        <span ><b>onToolbarNewItemClick</b></span>
                        <a href="#onToolbarNewItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onToolbarNewItemClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="56"
                            class="link-to-prism">src/app/app.component.ts:56</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>監聽toolbar的新增鈕點擊事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="appStore"></a>
                    <span class="name">
                        <span ><b>appStore</b></span>
                        <a href="#appStore"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>WritableSignal&lt;AppStore&gt;</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>signal({} as AppStore)</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/app.component.ts:20</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="appStores"></a>
                    <span class="name">
                        <span ><b>appStores</b></span>
                        <a href="#appStores"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>WritableSignal&lt;AppStore[]&gt;</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>signal([])</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/app.component.ts:19</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="tabViewIndex"></a>
                    <span class="name">
                        <span ><b>tabViewIndex</b></span>
                        <a href="#tabViewIndex"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>0</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/app.component.ts:22</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, WritableSignal, signal } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { AppStoreEditorToolbarComponent } from &#x27;./app-store-editor-toolbar/app-store-editor-toolbar.component&#x27;;
import { TabViewModule } from &#x27;primeng/tabview&#x27;;
import { AppStoreListComponent } from &#x27;./app-store-editor-list/app-store-editor-list.component&#x27;;
import { AppStoreDocumentComponent } from &#x27;./app-store-editor-document/app-store-editor-document.component&#x27;;
import { AppStore } from &#x27;@his-viewmodel/app-store/src&#x27;;
const primeGroup &#x3D; [TabViewModule]

@Component({
  selector: &#x27;app-root&#x27;,
  standalone: true,
  imports: [CommonModule, primeGroup, AppStoreListComponent, AppStoreDocumentComponent, AppStoreEditorToolbarComponent],
  templateUrl: &#x27;./app.component.html&#x27;,
  styleUrls: [&#x27;./app.component.scss&#x27;]
})
export class AppComponent {

  appStores: WritableSignal&lt;AppStore[]&gt; &#x3D; signal([]);
  appStore: WritableSignal&lt;AppStore&gt; &#x3D; signal({} as AppStore);

  tabViewIndex: number &#x3D; 0;


  /**
   * @param {number} tabViewIndex 需要切換的頁籤
   * @memberof AppStoreEditorComponent
   */
  onChangeTabViewIndex(tabViewIndex: number) {

    this.tabViewIndex &#x3D; tabViewIndex;
  }

  /**
   * 監聽app-store-editor-list的點擊事件
   * @memberof AppStoreEditorComponent
   */
  onListRowClick() {

    this.onChangeTabViewIndex(1);
  }

  /**
   * 監聽toolbar的清單鈕點擊事件
   * @memberof AppStoreEditorComponent
   */
  onToolbarListClick() {

    this.onChangeTabViewIndex(0);
  }

  /**
   * 監聽toolbar的新增鈕點擊事件
   * @memberof AppStoreEditorComponent
   */
  onToolbarNewItemClick() {

    this.onChangeTabViewIndex(1);
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;header&gt;
    &lt;his-app-store-editor-toolbar [tabViewIndex]&#x3D;&quot;tabViewIndex&quot; [appStore]&#x3D;&quot;appStore&quot;
      (toolbarListClick)&#x3D;&quot;onToolbarListClick()&quot; (toolbarNewItemClick)&#x3D;&quot;onToolbarNewItemClick()&quot; /&gt;
  &lt;/header&gt;

  &lt;body&gt;
    &lt;p-tabView [(activeIndex)]&#x3D;&quot;tabViewIndex&quot;&gt;
      &lt;p-tabPanel i18n-header header&#x3D;&quot;application list&quot;&gt;
        &lt;his-app-store-editor-list [appStore]&#x3D;&quot;appStore&quot; (listRowClick)&#x3D;&quot;onListRowClick()&quot;
          [appStores]&#x3D;&quot;appStores.asReadonly()&quot;&gt;&lt;/his-app-store-editor-list&gt;
      &lt;/p-tabPanel&gt;
      &lt;p-tabPanel i18n-header header&#x3D;&quot;application information&quot;&gt;
        &lt;his-app-store-editor-document [appStore]&#x3D;&quot;appStore&quot;&gt;&lt;/his-app-store-editor-document&gt;
      &lt;/p-tabPanel&gt;
    &lt;/p-tabView&gt;
  &lt;/body&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="styleData">
                <p class="comment">
                    <code>./app.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">:host ::ng-deep {

  .comtainer {
    height: 100vh;
    width: 100vw;
  }

  .p-tabview .p-tabview-nav li .p-tabview-nav-link {
    background: #ffffff;
    border-color: #E6E6E6;
    color: #000000;
    border-width: 1.5px;
  }



}
</code></pre>
    </div>

    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <header>    <his-app-store-editor-toolbar [tabViewIndex]="tabViewIndex" [appStore]="appStore"      (toolbarListClick)="onToolbarListClick()" (toolbarNewItemClick)="onToolbarNewItemClick()" />  </header>  <body>    <p-tabView [(activeIndex)]="tabViewIndex">      <p-tabPanel i18n-header header="application list">        <his-app-store-editor-list [appStore]="appStore" (listRowClick)="onListRowClick()"          [appStores]="appStores.asReadonly()"></his-app-store-editor-list>      </p-tabPanel>      <p-tabPanel i18n-header header="application information">        <his-app-store-editor-document [appStore]="appStore"></his-app-store-editor-document>      </p-tabPanel>    </p-tabView>  </body></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AppStoreDocumentComponent', 'selector': 'his-app-store-editor-document'},{'name': 'AppStoreEditorToolbarComponent', 'selector': 'his-app-store-editor-toolbar'},{'name': 'AppStoreListComponent', 'selector': 'his-app-store-editor-list'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
